cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
876
Views
0
Helpful
3
Replies
Highlighted
Cisco Employee

install_ydk.sh on RHEL8.1

Hello Yan,

I tried to use your script to install YDK 0.8.5, I got this:

*** Thu Sep 10 18:37:34 CEST 2020 *** dependencies_centos.sh | Running: sudo yum install python3-devel python3-venv -y 
Updating Subscription Management repositories.
Red Hat CodeReady Linux Builder for RHEL 8 x86_64 - Extended Update Support (RPMs)                                                                                                  11 kB/s | 2.8 kB     00:00    
Red Hat Enterprise Linux 8 for x86_64 - BaseOS - Extended Update Support (RPMs)                                                                                                    8.6 kB/s | 2.4 kB     00:00    
Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 - Extended Update Support (RPMs)                                                                                                     7.6 kB/s | 2.1 kB     00:00    
Red Hat Enterprise Linux 8 for x86_64 - Supplementary - Extended Update Support (RPMs)                                                                                             7.5 kB/s | 2.1 kB     00:00    
Red Hat Enterprise Linux 8 for x86_64 - AppStream - Extended Update Support (RPMs)                                                                                                  10 kB/s | 2.8 kB     00:00    
EPEL8                                                                                                                                                                              8.8 kB/s | 2.4 kB     00:00    
cisco-linux-desktop                                                                                                                                                                8.0 kB/s | 2.1 kB     00:00    
cisco-linux-common                                                                                                                                                                 7.5 kB/s | 2.1 kB     00:00    
Package python36-devel-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64 is already installed.
No match for argument: python3-venv
Error: Unable to find a match: python3-venv
*** Thu Sep 10 18:37:42 CEST 2020 *** dependencies_centos.sh | Exiting 'sudo yum install python3-devel python3-venv -y' with status=1 

If I skip that then I fail because of lcov:

*** Thu Sep 10 18:43:10 CEST 2020 *** dependencies_centos.sh | Running: sudo yum install python3-devel -y 
Updating Subscription Management repositories.
Red Hat CodeReady Linux Builder for RHEL 8 x86_64 - Extended Update Support (RPMs)                                                                                                  10 kB/s | 2.8 kB     00:00    
Red Hat Enterprise Linux 8 for x86_64 - BaseOS - Extended Update Support (RPMs)                                                                                                    8.6 kB/s | 2.4 kB     00:00    
Red Hat Satellite Tools 6.6 for RHEL 8 x86_64 - Extended Update Support (RPMs)                                                                                                     7.6 kB/s | 2.1 kB     00:00    
Red Hat Enterprise Linux 8 for x86_64 - Supplementary - Extended Update Support (RPMs)                                                                                             7.3 kB/s | 2.1 kB     00:00    
Red Hat Enterprise Linux 8 for x86_64 - AppStream - Extended Update Support (RPMs)                                                                                                  10 kB/s | 2.8 kB     00:00    
EPEL8                                                                                                                                                                              9.0 kB/s | 2.4 kB     00:00    
cisco-linux-desktop                                                                                                                                                                7.5 kB/s | 2.1 kB     00:00    
cisco-linux-common                                                                                                                                                                 8.3 kB/s | 2.1 kB     00:00    
Package python36-devel-3.6.8-2.module+el8.1.0+3334+5cb623d7.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!
Error: Unable to find a match: lcov
*** Thu Sep 10 18:43:27 CEST 2020 *** install_ydk.sh | Exiting '/nobackup/vadigreg/workspace/ydk-gen/test/dependencies_centos.sh' with status=1 

My system is RHEL8.1:

*** Thu Sep 10 18:46:36 CEST 2020 *** install_ydk.sh | OS info: NAME="Red Hat Enterprise Linux"
VERSION="8.1 (Ootpa)"
ID="rhel"
ID_LIKE="fedora"
VERSION_ID="8.1"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Red Hat Enterprise Linux 8.1 (Ootpa)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:8.1:GA"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 8"
REDHAT_BUGZILLA_PRODUCT_VERSION=8.1
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="8.1"

 

Do you know why?

 

Thanks,

Val

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

I managed to install ydk for python both core and gnmi by removing lcov and python-venv, then I added sudo before updatedb. That was all I had to do. 

View solution in original post

3 REPLIES 3
Highlighted
Cisco Employee

Also I have:

updatedb: can not open a temporary file for `/var/lib/mlocate/mlocate.db'
*** Thu Sep 10 18:57:48 CEST 2020 *** install_ydk.sh | Exiting '/nobackup/vadigreg/workspace/ydk-gen/test/dependencies_centos.sh' with status=1 

Not sure if updatedb should be sudo?

Highlighted

Hello Val

I also failed to install YDK on RHEL/CentOS-8.x. That is why it is still listed as not supported. More efforts are needed to make it work. But that work must be done as well as installation on Ubuntu 20.04LTS. If you are lucky to find the way, please share it with the YDK community. Then the procedure could be added to the install_ydk.sh script.

Thanks for the efforts.

Yan Gorelik
YDK Solutions
Highlighted

I managed to install ydk for python both core and gnmi by removing lcov and python-venv, then I added sudo before updatedb. That was all I had to do. 

View solution in original post

This widget could not be displayed.